org.keycloak.models.jpa.entities

## Class RealmLocalizationTextsEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.RealmLocalizationTextsEntity

-     @Entity
      public class RealmLocalizationTextsEntity
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RealmLocalizationTextsEntity.RealmLocalizationTextEntityKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmLocalizationTextsEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getLocale()`
    `String` | `getRealmId()`
    `Map<String,String>` | `getTexts()`
    `int` | `hashCode()`
    `void` | `setLocale(String locale)`
    `void` | `setRealmId(String realmId)`
    `void` | `setTexts(Map<String,String> texts)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RealmLocalizationTextsEntity

          public RealmLocalizationTextsEntity()

  - ### Method Detail

    - #### getTexts

          public Map<String,String> getTexts()

    - #### setTexts

          public void setTexts(Map<String,String> texts)

    - #### getLocale

          public String getLocale()

    - #### setLocale

          public void setLocale(String locale)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.